Slackware Live - Alien Bob aggiornamento

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
hal9000
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: dom gen 07, 2007 21:24
Nome Cognome: Alessandro Zamori
Slackware: 64 14.2
Kernel: huge-4.4.75
Desktop: xfce
Località: Roma

Slackware Live - Alien Bob aggiornamento

Messaggioda hal9000 » sab ott 12, 2019 14:07

Salve a tutti, ho installato la Slackware Live 64 XFCE di Alien Bob su un HD usb con lo scopo di utilizzarla come sistema vero e proprio portabile sui due pc che possiedo. La aggiorno costantemente con Slackyd (lo trovo un ottimo tool per aggiornare le mie installazioni) per avere una Slackware64 aggiornata quando diventerà stable. Tra gli ultimi aggiornamenti è richiesto l' upgrade del Kernel. La mia domanda è: se aggiorno il kernel, Syslinux avvierà comunque la distribuzione o ci sono delle operazioni da fare in modo che Syslinux avvii l' HD? Onestamente su Syslinux sò molto poco perchè sui 2 pc casalinghi o Lilo e Grub. Grazie per l' eventuale aiuto.

erio
Linux 4.x
Linux 4.x
Messaggi: 1202
Iscritto il: ven ott 09, 2009 19:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda erio » lun ott 14, 2019 15:59

di regola cambi solo la versione del vmlinuz nel syslinux.conf ,se usi uuid del disco non hai problemi.

Avatar utente
lennynero
Linux 3.x
Linux 3.x
Messaggi: 610
Iscritto il: lun mag 03, 2004 0:00
Nome Cognome: Luigi Picaro
Slackware: 14.2-x64
Kernel: 4.4.14
Desktop: xfce-4.12
Località: Salerno
Contatta:

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda lennynero » lun ott 14, 2019 16:36


Avatar utente
hal9000
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: dom gen 07, 2007 21:24
Nome Cognome: Alessandro Zamori
Slackware: 64 14.2
Kernel: huge-4.4.75
Desktop: xfce
Località: Roma

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda hal9000 » lun nov 25, 2019 21:19

Riprendo questo thread per non aprirne un' altro con un titolo simile: volevo creare una Slackware su usb minimale e sicura,
ho quindi preso i file liveslack di Alien Bob e li ho modificati per scaricare la 14.2 anzichè la current. Però alla fine mi esce un errore riguardante le zlib_1.2.9. Effettivamente, in Slackaware64/l ci sono le 1.2.8 mentre in patches/packages ci sono le 1.2.11. Come posso fare per scaricare con i tools di Alien Bob le zlib corrette? Se scarico la iso della 14.2 e la decomprimo in una directory (es. /tmp/tmp/) posso poi sostituire il pacchetto zlib con quello che mi necessita e poi indirizzare il make_slackware _live.sh in quella directory anzichè al sito di Slackware? Grazie.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3072
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda joe » mar nov 26, 2019 15:06

hal9000 ha scritto:ho quindi preso i file liveslack di Alien Bob e li ho modificati per scaricare la 14.2 anzichè la current.


Cosa hai modificato esattamente e come?

Dando un'occhiata allo script make_slackware _live.sh sembra che le "patches" vengano considerate.
Hai provato una roba tipo la seguente?

Codice: Seleziona tutto

make_slackware_live.sh -z 14.2 -l it


Dovrebbe generarti una live di slack 14.2 localizzata in italiano: e dovrebbe già contenere i pacchetti aggiornati alla versione delle patches, credo.
Occhio che devi scaricare la directory web che contiene lo script, con tutto il suo contenuto. E farlo girare da dentro la dir scaricata.

Avatar utente
hal9000
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: dom gen 07, 2007 21:24
Nome Cognome: Alessandro Zamori
Slackware: 64 14.2
Kernel: huge-4.4.75
Desktop: xfce
Località: Roma

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda hal9000 » mar nov 26, 2019 17:23

Grazie della risposta, credo di aver preso la strada più difficile; questo è il file make_slackware_live.conf modoficato:
    # ---------------------------------------------------------------------------
    # liveslak scripts by alienbob.
    #
    # Configuration file for "make_slackware_live.sh".
    # Define your own custom values here to avoid editing the shell script.
    # ---------------------------------------------------------------------------

    # Examples:

    # Custom name for the host:
    LIVE_HOSTNAME="darkstar"

    # Marker used for finding the Slackware Live files:
    #MARKER="SLACKWARELIVE"

    # The filesystem label of the ISO:
    #MEDIALABEL="LIVESLAK"

    # The name of the directory used for storing persistence data:
    #PERSISTENCE="persistence"

    # What type of Live image?
    #LIVEDE="SLACKWARE"

    # What runlevel to use if adding a DE like: XFCE, KDE4, PLASMA5 etc...
    #RUNLEVEL=4

    # Name of the 'live' user account in the Live image:
    LIVEUID="live"

    # Passwords for the user accounts in the Live image:
    ROOTPW="root"
    LIVEPW="live"

    # Who built the live image:
    #BUILDER="Alien BOB"

    # Slackware version to use (note: this won't work for Slackware <= 14.1):
    SL_VERSION="14.2"

    # Slackware architecture to install:
    SL_ARCH="x86_64"

    # Root directory of a Slackware local mirror tree:
    #SL_REPO="/home/ftp/pub/Linux/Slackware"

    # The rsync URI of our default Slackware mirror server:
    #SL_REPO_URL="rsync.osuosl.org::slackware"

    # Directory where the live ISO image will be written:
    #OUTPUT="/tmp"

quindi

Codice: Seleziona tutto

./make_slackware_live.sh -d XFCE -l it

però poi ottengo l' errore di cui sopra. Quindi posso evitare di editare il file make_slackware_live.conf ed andare direttamente di :

Codice: Seleziona tutto

./make_slackware_live.sh -z 14.2 -d XFCE -l it

per ottenere la Slackware che mi serve? Ancora grazie

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3072
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda joe » mar nov 26, 2019 20:42

Secondo me sì, prova: è la cosa più rapida...

Fai tipo:

Codice: Seleziona tutto

git clone http://bear.alienbase.nl/cgit/liveslak
cd liveslak
./make_slackware_live.sh -z 14.2 -d XFCE -l it


Non l'ho testato: avevo provato la live della current in una delle sue prime versioni rilasciate, ma avevo preso la ISO già pronta.

PS.
Devi lanciare lo script come root se non non trova il pkgtools nel PATH dell'utente semplice.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3072
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda joe » mar nov 26, 2019 21:01

Ho provato per curiosità a lanciare lo script, sembra funzionare.
Per il momento ha scaricato già un po' di roba via rsync e scarica sia i pacchetti della serie "a" che quelli in "patches".
Zlib in effetti viene scaricata due volte, o in ogni caso penso, a buon senso che quando trova quel pacchetto anche in patches, installerà nella ISO finale quest'ultimo sovrascrivendo quello originari in "a".

Codice: Seleziona tutto

/liveslak# ./make_slackware_live.sh -z 14.2 -d XFCE -l it
-- Loading configuration file.
-- Creating liveslak 1.3.3 'XFCE' image (based on Slackware-14.2 x86_64).
-- Installing the 'min' series.
** Slackware package repository root '/var/cache/liveslak/Slackware' does not exist or is empty!
-- Rsync-ing repository content from 'rsync.osuosl.org::slackware' to local directory '/var/cache/liveslak/Slackware'...
-- This can be time-consuming.  Please wait.
    541,540,040  14%  571.70kB/s    1:34:58  xfr#437, to-chk=4474/4942)


Forse si faceva prima scaricando la ISO della 14.2_64 via bittorrent, montarla in loop, copiarla in /var/cache/liveslak/Slackware/slackware64-14.2/, e dopo lanciare lo script. Via rsync avrebbe dovuto scaricare relativamente poca roba, tipo le patches ecc.. Va be' ormai ho lanciato così.

Codice: Seleziona tutto

$ grep zlib /var/cache/liveslak/Slackware/slackware64-14.2/slackware64/PACKAGES.TXT
PACKAGE NAME:  zlib-1.2.8-x86_64-1.txz
zlib: zlib (compression library)
zlib:
zlib: zlib is a general purpose thread safe data compression library.  The
zlib: data format used by the zlib library is described by RFCs 1950 to
zlib: 1952 in the files ftp://ds.internic.net/rfc/rfc1950.txt (zlib format)
zlib: rfc1951.txt (deflate format) and rfc1952.txt (gzip format).
zlib:

$ grep zlib /var/cache/liveslak/Slackware/slackware64-14.2/patches/PACKAGES.TXT
PACKAGE NAME:  zlib-1.2.11-x86_64-1_slack14.2.txz
zlib: zlib (compression library)
zlib:
zlib: zlib is a general purpose thread safe data compression library. The
zlib: data format used by the zlib library is described by RFCs 1950 to
zlib: 1952 in the files ftp://ds.internic.net/rfc/rfc1950.txt (zlib format)
zlib: rfc1951.txt (deflate format) and rfc1952.txt (gzip format).
zlib:
zlib: Homepage: http://www.zlib.net
zlib:

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3072
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda joe » mer nov 27, 2019 0:29

Ti confermo che anche a me salta fuori l'errore legato ad una versione di zlib mancante. Però se non sbaglio non si tratta nè della versione originale della 14.2 che era la 1.2.8, né di quella della aggiornata in patches che è la 1.2.11.

Riporto le ultime righe in output all'esecuzione dello script che avevo lanciato come descritto sopra:

Codice: Seleziona tutto

Searching for NEW configuration files
                No .new files found.

-- Configuring the X base system.
fc-cache: /lib64/libz.so.1: version `ZLIB_1.2.9' not found (required by /usr/lib64/libpng16.so.16)
*** ./make_slackware_live.sh FAILED at line 1754 ***
--- Cleaning up the staging area...


Come si vede sembrerebbe richiedere una versione intermedia: la 1.2.9. E a quanto pare è richiesta da "libpng16"
Sul mio sistema, se c'entra qualcosa ho ho installata la zlib-1.2.11.
Riguardo a libpng ho questa roba installata sul mio sistema:

Codice: Seleziona tutto

ls /var/log/packages/|grep libpng
libpng-1.6.37-x86_64-1_slack14.2
libpng-compat32-1.6.37-x86_64-1_slack14.2compat32
libpng-legacy12-1.2.57-x86_64-1_SBo


Boh sinceramente non so perché dà quell'errore, non so se c'entrano qualcosa i pacchetti del mio sistema...
Tuttavia ho verificato con "ldd -v" ed in effetti la libreria libpng ecc è linkata contro la zlib versione 1.2.9. Ma quella libpng è quella standard di slackware così come la versione standard aggiornata di libz sempre di slackware è la 1.2.11. Quindi boh... Non saprei.

Si potrebbe anche chiedere ad AlienBob in persona, di solito risponde.
Ma prima magari vediamo se qualcuno qui vuole testare lo script così come lo abbiamo lanciato noi. Il comando a scanso di equivoci è:

Codice: Seleziona tutto

git clone http://bear.alienbase.nl/cgit/liveslak
cd liveslak
./make_slackware_live.sh -z 14.2 -d XFCE -l it


PS.
Volendo visto che qui il traffico è un po' basso, eventualmente potrebbe essere una buona idea estendere la domanda anche su linuxquestions nella sezione slackware, ci partecipa anche AlienBob.

Avatar utente
hal9000
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: dom gen 07, 2007 21:24
Nome Cognome: Alessandro Zamori
Slackware: 64 14.2
Kernel: huge-4.4.75
Desktop: xfce
Località: Roma

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda hal9000 » mer nov 27, 2019 21:00

Grazie Joe per averci provato.
Ho provato a pacchettizzare le zlib-1.2.9 e sostituirle alle 1.2.8 della Slackware64 eliminando anche le 1.2.11 in patches ma dà sempre lo stesso errore:
[list=]
-- Loading configuration file.
-- Creating liveslak 1.3.3 'XFCE' image (based on Slackware-14.2 x86_64).
Parallel unsquashfs: Using 12 processors
7 inodes (11 blocks) to write

[================================================================================================================================|] 11/11 100%

created 3 files
created 2 directories
created 4 symlinks
created 0 devices
created 0 fifos
-- Configuring the base system.
-- Creating slackpkg cache, takes a few seconds...

Downloading http://ftp.osuosl.org/.2/slackware/slac ... /GPG-KEY...
Slackware Linux Project's GPG key added


Updating the package lists...
Downloading...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... eLog.txt...
I file /var/lib/slackpkg/ChangeLog.txt e /tmp/slackpkg.I9PVgL/ChangeLog.txt sono diversi

List of all files
Downloading http://ftp.osuosl.org/.2/slackware/slac ... FEST.bz2...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... FEST.bz2...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... FEST.bz2...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... FEST.bz2...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... FEST.bz2...
Checksums
Downloading http://ftp.osuosl.org/.2/slackware/slac ... SUMS.md5...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... .md5.asc...
Package List
Downloading http://ftp.osuosl.org/.2/slackware/slac ... LIST.TXT...
Package descriptions
Downloading http://ftp.osuosl.org/.2/slackware/slac ... AGES.TXT...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... AGES.TXT...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... AGES.TXT...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... AGES.TXT...
Downloading http://ftp.osuosl.org/.2/slackware/slac ... AGES.TXT...
Formatting lists to slackpkg style...
Package List: using CHECKSUMS.md5 as source
Package descriptions

Searching for NEW configuration files
No .new files found.

-- Configuring the X base system.
fc-cache: /lib64/libz.so.1: version `ZLIB_1.2.9' not found (required by /usr/lib64/libpng16.so.16)
*** ./make_slackware_live.sh FAILED at line 1754 ***
--- Cleaning up the staging area...
[/list]
Se eliminassi il pacchetto libpng per installarlo una volta installata la distribuzione? Potrei avviare la distribuzione in console e modificarla in seguito? Ancora grazie e saluti,

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3072
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda joe » gio nov 28, 2019 0:10

Ah non ne ho idea... Puoi fare una prova, ma rsync mi sa che poi te lo ri-aggiungerà.
Secondo me la cosa più rapida è provare a far presente l'errore sul LQ o direttamente ad AlienBob, sono molto disponibili entrambi i canali.

Avatar utente
hal9000
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: dom gen 07, 2007 21:24
Nome Cognome: Alessandro Zamori
Slackware: 64 14.2
Kernel: huge-4.4.75
Desktop: xfce
Località: Roma

Re: Slackware Live - Alien Bob aggiornamento

Messaggioda hal9000 » ven dic 06, 2019 21:29

Ultimo aggiornamento: per curiosità ho provato a fare la stessa cosa con Mate:

Codice: Seleziona tutto

./make_slackware_live.sh -d Mate -l it

ed ha funzionato semza problemi (sto utilizzano la distribuzione per scrivere questo post), e le librerie libpng e zlib sono correttamente installate:

Codice: Seleziona tutto

root@darkstar: ~# ls /var/log/packages | grep libpng
libpng-1.6.37-x86_64-1_slack14.2
root@darkstar: ~# ls /var/log/packages | grep zlib 
zlib-1.2.11-x86_64-1_slack14.2

Devo dire che la versione con Mate risponde comunque alle mie esigenze (per alcune cose meglio di quella con XFCE) quindi per il momento và bene così.
Grazie comunque per l' aiuto e magari aprirò lo stesso un post su Linux Question nel caso comunque qualcuno sia interessato.